Request Logs
Get Request Logs Summary
Counts of your requests and errors grouped by day, error code, source, path or status code, to build your own dashboards. Each item has total (requests) and errors (status >= 400).
GET
/
api
/
v1
/
logs
/
summary
Get Request Logs Summary
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/logs/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/logs/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/logs/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api-kore.kravata.co/api/v1/logs/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test-api-kore.kravata.co/api/v1/logs/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test-api-kore.kravata.co/api/v1/logs/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api-kore.kravata.co/api/v1/logs/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"fromDate": "2026-10-16T00:00:00+00:00",
"toDate": "2026-10-23T00:00:00+00:00",
"groupBy": "errorCode",
"source": "all",
"items": [
{
"key": "BAD_REQUEST",
"total": 8,
"errors": 8
},
{
"key": "VALIDATION_ERROR",
"total": 5,
"errors": 5
}
]
}Authorizations
Access token from POST /api/v1/client/token.
Query Parameters
Start of the range (ISO 8601). Default: 7 days before toDate.
End of the range (ISO 8601). Default: now. The range cannot exceed 90 days.
day (default), errorCode, source, path or statusCode.
Available options:
day, errorCode, source, path, statusCode all (default: partner_api + end_user + gateway), partner_api, end_user, gateway or widget. widget only supports groupBy=day or errorCode.
Available options:
all, partner_api, end_user, gateway, widget true: count only responses with status >= 400.
Get Request Logs Summary
curl --request GET \
--url https://test-api-kore.kravata.co/api/v1/logs/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://test-api-kore.kravata.co/api/v1/logs/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test-api-kore.kravata.co/api/v1/logs/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test-api-kore.kravata.co/api/v1/logs/summary",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://test-api-kore.kravata.co/api/v1/logs/summary"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://test-api-kore.kravata.co/api/v1/logs/summary")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://test-api-kore.kravata.co/api/v1/logs/summary")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"fromDate": "2026-10-16T00:00:00+00:00",
"toDate": "2026-10-23T00:00:00+00:00",
"groupBy": "errorCode",
"source": "all",
"items": [
{
"key": "BAD_REQUEST",
"total": 8,
"errors": 8
},
{
"key": "VALIDATION_ERROR",
"total": 5,
"errors": 5
}
]
}
